### Function

# FwupdPlugin strstrip

#### Declaration [src]

    gchar*
    fu_strstrip (
      const gchar* str
    )

#### Description [src]

Removes leading and trailing whitespace from a constant string.

Available since: | 1.8.2

#### Parameters

`str` | `const gchar*`
| A string, e.g. `test`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gchar*`
| Newly allocated string.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.